> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udexpansionpanelgroup.md).

# New-UDExpansionPanelGroup

New-UDExpansionPanelGroup organisiert mehrere New-UDExpansionPanel-Komponenten in PowerShell Universal zu einem gruppierten, ausklappbaren Satz.

### Übersicht

Die Expansion-Panel-Komponente ermöglicht es dem Benutzer, Abschnitte mit zusammengehörigen Inhalten auf einer Seite ein- und auszublenden.

### Syntax

```powershell
New-UDExpansionPanelGroup [-Id <String>] [[-Children] <ScriptBlock>] [-Type <String>] [-ClassName <String>] [<CommonParameters>]
```

### Beschreibung

Erstellt eine Gruppe von Expansion Panels. Verwenden Sie New-UDExpansionPanel, um untergeordnete Elemente für eine Gruppe zu erstellen.

### Parameter

#### -Id

Die ID der Komponente. Standardmäßig eine zufällige GUID.

```
Required?                    false
Position?                    named
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Children

Expansion Panels, die in diese Gruppe aufgenommen werden sollen.

```
Required?                    false
Position?                    1
Default value                {}
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Type

Der Typ der Expansion-Panel-Gruppe.

```
Required?                    false
Position?                    named
Default value                Expandable
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

Eine CSS-Klasse, die auf die Expansion-Panel-Gruppe angewendet wird.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Allgemeine Parameter

Dieses Cmdlet unterstützt die allgemeinen Parameter: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable und OutVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Ausgaben

### Beispiele

#### Beispiel 1: Expansion Panel

```powershell
New-UDExpansionPanelGroup -Id 'expandsionPanelGroup1' -Children {
    New-UDExpansionPanel -Title "Hello" -Content {} -Active -Id 'expansionPanel1'
    New-UDExpansionPanel -Title "Hello" -Content {
        New-UDElement -Tag 'div' -Content { "Hello" }
    } -Id 'expansionPanel2'
    New-UDExpansionPanel -Title "Hello" -Content {
       New-UDElement -Tag 'div' -id 'expEndpointDiv' -Content { "Hello" }
    } -Id 'expansionPanel3'
}
```

Erstellt eine Expansion-Panel-Gruppe.

#### Beispiel 2: Akkordeon

```powershell
New-UDExpansionPanelGroup -Id 'expandsionPanelGroup3' -Children {
    New-UDExpansionPanel -Title "Hello" -Content {} -Id 'expansionPanel6'
    New-UDExpansionPanel -Title "Hello" -Content {} -Id 'expansionPanel7'
} -Type 'Accordion'
```

Erstellt eine Expansion-Panel-Gruppe im Akkordeon-Stil.

#### Beispiel 3: Symbole

```powershell
New-UDExpansionPanelGroup -Id 'expandsionPanelGroup4' -Children {
    New-UDExpansionPanel -Title "Hello" -Content {} -Icon (New-UDIcon -Icon 'Users') -Id 'expansionPanel8'
    New-UDExpansionPanel -Title "Hello" -Content {} -Icon (New-UDIcon -Icon 'User') -Id 'expansionPanel9'
}
```

Erstellt eine Expansion-Panel-Gruppe mit Symbolen.

\[Component("Expansion Panel", "Expand", "Creates a new card.")]


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udexpansionpanelgroup.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
